Skip to main content
Resource Center/Resource Pool/VM Instance Operations
PUTVM Instance OperationsSince 0.6SynchronousAuth Required

SetVmBootOrder

SetVmBootOrder

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The VM instance UUID.

Body Fields

  • setvmbootorderObjectRequired

    setvmbootorder request body object.

    • bootOrderList

      Optional. The boot device. Options: CdRom: CD-ROM HardDisk: hard disk Network: network If not specified, the default boot order (HardDisk, CdRom, CdRom) will be used.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVmInstanceInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • zoneUuidStringRequired

      The zone UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • imageUuidStringRequired

      The image UUID.

    • hostUuidStringRequired

      The host UUID.

    • lastHostUuidStringRequired

      最近一次主机UUID。

    • instanceOfferingUuidStringRequired

      The instance offering UUID.

    • rootVolumeUuidStringRequired

      The root volume UUID.

    • platformStringRequired

      平台。

    • defaultL3NetworkUuidStringRequired

      No description provided.

    • typeStringRequired

      类型。

    • hypervisorTypeStringRequired

      No description provided.

    • memorySizeLongRequired

      内存大小。

    • cpuNumIntegerRequired

      No description provided.

    • cpuSpeedLongRequired

      No description provided.

    • allocatorStrategyStringRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateStringRequired

      当前状态。

    • vmNicsListRequired

      See vmNics.

      • uuidStringRequired

        The resource UUID.

      • vmInstanceUuidStringRequired

        The VM instance UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • ipStringRequired

        来源IP地址。

      • macStringRequired

        No description provided.

      • netmaskStringRequired

        No description provided.

      • gatewayStringRequired

        No description provided.

      • metaDataStringRequired

        元数据。

      • ipVersionIntegerRequired

        The IP version.

      • deviceIdIntegerRequired

        设备ID。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • usedIpsListRequired

        See usedIps.

        • uuidStringRequired

          The resource UUID.

        • ipRangeUuidStringRequired

          The IP range UUID.

        • l3NetworkUuidStringRequired

          The L3 network UUID.

        • ipVersionIntegerRequired

          The IP version.

        • ipStringRequired

          The IP address.

        • netmaskStringRequired

          The netmask.

        • gatewayStringRequired

          The gateway.

        • usedForStringRequired

          已使用用于。

        • ipInLonglongRequired

          No description provided.

        • vmNicUuidStringRequired

          The VM NIC UUID.

        • createDateTimestampRequired

          The creation date.

        • lastOpDateTimestampRequired

          The last operation date.

    • allVolumesListRequired

      See allVolumes.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • primaryStorageUuidStringRequired

        The primary storage UUID.

      • vmInstanceUuidStringRequired

        The VM instance UUID.

      • diskOfferingUuidStringRequired

        The disk offering UUID.

      • rootImageUuidStringRequired

        The root image UUID.

      • installPathStringRequired

        The volume installation path on the primary storage.

      • typeStringRequired

        The volume type, including data volume and root volume.

      • formatStringRequired

        The volume format.

      • sizeLongRequired

        The volume size.

      • actualSizeLongRequired

        The actual size of the volume.

      • deviceIdIntegerRequired

        设备ID。

      • stateStringRequired

        Whether the volume is enabled.

      • statusStringRequired

        The volume status.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • isShareableBooleanRequired

        Whether the volume can be shared.

      • volumeQosStringRequired

        The volume QoS. Format: total=1048576.

Endpoint

PUT/zstack/v1/vm-instances/{uuid}/actions

/zstack/v1/vm-instances/{uuid}/actions

Operation ID

SetVmBootOrder

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vm-instances/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"setvmbootorder":{"bootOrder":["<bootOrder>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "16a1759999f43522989d50257c148f03", "name": "Test-VM", "description": "web server VM", "zoneUuid": "52c0c4d3965330c78035324338caca26", "clusterUuid": "0d18aab547103bcfb2098655bd1fc71b", "imageUuid": "f2a2344a96a93d84958cdd8e9396ac53", "hostUuid": "fbd24b0405723d06b41fb0d41d126a53", "lastHostUuid": "3e0502a12a413e5a8cea8022d774e8f7", "instanceOfferingUuid": "bac644877b783182ace705f49d8b0d5d", "rootVolumeUuid": "963beb34a38a31c6a663861152ebdfa7", "platform": "Linux", "defaultL3NetworkUuid": "58e3259d7ac63196bab7b4fde66a63e4", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8.589934592E9, "cpuNum": 1.0, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Stopped", "vmNics": [ { "uuid": "843c879cfd36341a845551d4f3f80adc", "vmInstanceUuid": "16a1759999f43522989d50257c148f03", "usedIpUuid": "34e14b0d570930bbaf521e6cf11703ad", "l3NetworkUuid": "58e3259d7ac63196bab7b4fde66a63e4", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "allVolumes": [ { "uuid": "963beb34a38a31c6a663861152ebdfa7", "name": "Root-Volume-For-VM-16a1759999f43522989d50257c148f03", "primaryStorageUuid": "bb0ef0006c0831bcba36bf8cb449e4e5", "vmInstanceUuid": "16a1759999f43522989d50257c148f03", "diskOfferingUuid": "d3208f0181f1312b8807e228e1f89bc9", "rootImageUuid": "f2a2344a96a93d84958cdd8e9396ac53", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-963beb34a38a31c6a663861152ebdfa7/963beb34a38a31c6a663861152ebdfa7.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } }

Change History

This API has no change history records yet.

View all change history